be.ehealth.businessconnector.ehbox.v3.builders

## Class BuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.v3.builders.BuilderFactory

- All Implemented Interfaces:
    SessionServiceWithCache

      public final class BuilderFactory
      extends Object
      implements SessionServiceWithCache

  A factory for creating `ConsultationMessageBuilder`, `RequestBuilder` and `SendMessageBuilder`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flushCache()` Method to flush the cache after invoking this method.
    `static ConsultationMessageBuilder` | `getConsultationMessageBuilder()` Gets the send message builder.
    `static RequestBuilder` | `getRequestBuilder()`
    `static SendMessageBuilder` | `getSendMessageBuilder()` Gets the send message builder.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSendMessageBuilder

          public static SendMessageBuilder getSendMessageBuilder()
                                                          throws TechnicalConnectorException

      Gets the send message builder.
      Returns:
        the send message builder
      Throws:
        `TechnicalConnectorException`

    - #### getConsultationMessageBuilder

          public static ConsultationMessageBuilder getConsultationMessageBuilder()
                                                                          throws TechnicalConnectorException

      Gets the send message builder.
      Returns:
        the send message builder
      Throws:
        `TechnicalConnectorException`

    - #### getRequestBuilder

          public static RequestBuilder getRequestBuilder()
                                                  throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### flushCache

          public void flushCache()

      Description copied from interface: `SessionServiceWithCache`
      Method to flush the cache after invoking this method.
      Specified by:
        `flushCache` in interface `SessionServiceWithCache`
      See Also:
        `SessionServiceWithCache.flushCache()`

Connector Packaging PERSAUDIOLOGIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.